<?php
/**
 * @version		$Id: media.php 20813 2011-02-21 21:08:29Z dextercowley $
 * @package		Joomla.Administrator
 * @subpackage	com_lwac_component
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

// Access check.

$user = JFactory::getUser();
$asset = JRequest::getCmd('asset');
$author = JRequest::getCmd('author');

// Include dependancies
jimport('joomla.application.component.controller');
require_once JPATH_COMPONENT.'/controller.php';

$controllerName = NULL;
$controllerClass = 'liknowebaccordionbuilderController'.ucfirst($controllerName);
if (class_exists($controllerClass)) {
	$controller = new $controllerClass();
} else {
	JError::raiseError(500, 'Invalid Controller Class');
}

$controller->execute(JRequest::getCmd('task'));
$controller->redirect();
